For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetSmartQueueRealtimeMetrics
        • POSTGetSmartQueueDayHistory
        • POSTRequestSmartQueueHistory
        • POSTGetSQState
        • POSTSQ_SetAgentCustomStatusMapping
        • POSTSQ_GetAgentCustomStatusMapping
        • POSTSQ_DeleteAgentCustomStatusMapping
        • POSTSQ_AddQueue
        • POSTSQ_SetQueueInfo
        • POSTSQ_DelQueue
        • POSTSQ_GetQueues
        • POSTSQ_AddSkill
        • POSTSQ_DelSkill
        • POSTSQ_SetSkillInfo
        • POSTSQ_BindSkill
        • POSTSQ_UnbindSkill
        • POSTSQ_GetSkills
        • POSTSQ_BindAgent
        • POSTSQ_UnbindAgent
        • POSTSQ_GetAgents
        • POSTSQ_SetAgentInfo
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSmartQueue

SQ_UnbindAgent

||View as Markdown|
POST
https://api.voximplant.com/platform_api/SQ_UnbindAgent
POST
/platform_api/SQ_UnbindAgent
$curl -X POST "https://api.voximplant.com/platform_api/SQ_UnbindAgent?application_id=12345&sq_queue_id=all&user_id=1" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1
3}

Unbinds agents from queues.

Example request: Unbind the agent with id 1 from all queues.

Was this page helpful?
Previous

SQ_BindAgent

Next

SQ_GetAgents

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

application_idintegerRequired
Application ID to search by
application_namestringOptional

Application name to search by. Can be used instead of application_id

sq_queue_idlist of integersRequired

List of SmartQueue IDs separated by semicolons (;). Use ‘all’ to select all the queues

sq_queue_namelist of stringsOptional

List of SmartQueue names separated by semicolons (;). Can be used instead of sq_queue_id

user_idlist of integersRequired

List of user IDs separated by semicolons (;). Use ‘all’ to select all the users

user_namelist of stringsOptional

List of user names separated by semicolons (;). Can be used instead of user_id

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully